## mkdir

#### OS/161 Reference Manual

### Name

mkdir - create directory

### Synopsis

`/bin/mkdir` directory

### Description

`mkdir` creates the named directory. All intermediate components must already exist. If the named directory already exists, an error occurs.

### Requirements

`mkdir` uses the following syscalls:

- mkdir
- write
- _exit

As the mkdir system call is generally not part of the basic system calls assignment, `mkdir` will usually still not function after the basic system calls assignment is complete. This call is typically part of a later assignment, usually the file system assignment. You may also need to implement subdirectories in the file system. Consult your course materials for specific information.

### See Also

rmdir